> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ada.cx/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ada.cx/_mcp/server.

# List webhooks

GET https://example.ada.support/api/v2/webhooks/

List all webhook subscriptions configured for this AI Agent

Reference: https://docs.ada.cx/reference/webhooks/list-webhooks

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `limit` (integer, optional) — Maximum number of webhooks to return
- `cursor` (string, optional) — Cursor for pagination

## Response

### 200

List of webhooks

- `data` (list of Webhook, optional)
- `meta` (V2WebhooksGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 401 Unauthorized Error

Unauthorized

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

### 429 Too Many Requests Error

Too Many Requests

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

## Types

### Webhook

- `id` (string, optional) — The webhook ID
- `url` (string, optional) — The URL that will receive webhook events
- `description` (string, optional) — A description of the webhook
- `event_filters` (list of string, optional) — Event types this webhook is subscribed to. If empty, the webhook receives all events
- `enabled` (boolean, optional) — Whether the webhook is enabled
- `created_at` (string, optional) — When the webhook was created
- `updated_at` (string, optional) — When the webhook was last updated

### V2WebhooksGetResponsesContentApplicationJsonSchemaMeta

- `next_page_url` (string, optional, nullable) — URL for the next page of results, or null if no pages remain

### ErrorsErrorsItems

- `type` (string, required) — The error type
- `message` (string, required) — The error message
- `details` (string, optional, nullable) — Extra information about the error

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "ep_2bxE8VNtkWEMpJrMJv74FlSQmqP",
      "url": "https://example.com/webhooks",
      "description": "My production webhook",
      "event_filters": [
        "v1.conversation.created",
        "v1.conversation.ended"
      ],
      "enabled": true,
      "created_at": "2026-03-12T10:00:00+00:00",
      "updated_at": "2026-03-12T10:00:00+00:00"
    }
  ],
  "meta": {
    "next_page_url": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.ada.support/api/v2/webhooks/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.ada.support/api/v2/webhooks/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.ada.support/api/v2/webhooks/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.ada.support/api/v2/webhooks/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.ada.support/api/v2/webhooks/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.ada.support/api/v2/webhooks/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.ada.support/api/v2/webhooks/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/webhooks/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```